{% load i18n admin_static admin_list %}

{% block content %}
    <h2>{{ periodocurso.Curso.Carrera.Carrera }} </h2>
    <h2>Asistencias del Grupo {{ periodocurso.Grupo }} - {{ periodocurso.Curso.Nombre }}</h2>
    <h2>Docente: {{ periodocurso.Docente|escape }}</h2>
    <div id="content-main">
        {% block object-tools %}
            <ul class="object-tools">
                {% if perms.Asistencias.add_asistencia %}
                    <li>
                        <a id="lookup_id_Asistencia" class="addlink"
                           onclick="return abrir_popup('../Asistencias/add/{{ periodocurso.id }}/');"
                           href="../Asistencias/add/{{ periodocurso.id }}/">
                            {% trans 'Agregar Asistencia' %}
                        </a>
                    </li>
                {% endif %}
            </ul>
        {% endblock %}

        <div class="module filtered" id="changelist">

            <div id="toolbar">
                <form id="changelist-search" action="" method="get"
                      onsubmit="muestracapa2('capa1','../Asistencias/{{ periodocurso.id }}/','Espere por favor...')">{% csrf_token %}
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="p" value="{{ query1|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>
                    <h3> {% trans 'Por Horario' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query1 %}class="selected"{% endif %}{% endif %}><a
                                href="javascript:muestracapa2('capa1','../Asistencias/{{ periodocurso.id }}/?','Espere por favor...')">Todos/as</a>
                        </li>
                        {% for horario in horarios %}
                            <li {% ifequal query1 horario.id %}class="selected"{% endifequal %}><a
                                    href="javascript:muestracapa2('capa1','../Asistencias/{{ periodocurso.id }}/?{% if query %}q={{ query }}&{% endif %}p={{ horario.id }}','Espere por favor...')">{{ horario.Etiqueta }}</a>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            {% endblock %}

            {% block result_list %}
                {% if query %}
                    <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                {% endif %}
                {% if results %}
                    <div class="results">
                        <table id='result_list'>
                            <thead>
                            <tr>
                                <th scope='col'>
                                    <div class="text"><span>&rsaquo;</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Fecha' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Fecha de Registro' %}</span></div>
                                </th>
                                <th scope='col'>
                                    <div class="text"><span>{% trans 'Horario' %}</span></div>
                                </th>
                                {% if perms.Asistencias.change_asistencia %}
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Acción' %}</span></div>
                                    </th>
                                {% endif %}
                                {% if perms.Asistencias.delete_asistencia %}
                                    <th scope='col'>
                                        <div class="text"><span>{% trans 'Acción' %}</span></div>
                                    </th>
                                {% endif %}
                            </tr>
                            </thead>
                            <tbody>
                            {% for asi in results.object_list %}
                                <tr class="{% cycle 'row1' 'row2' %}">
                                    <td>&rsaquo;</td>
                                    <td>{{ asi|first|escape }}</td>
                                    <td>{{ asi.4 }}</td>
                                    <td>{{ asi.1|escape }} {{ asi.2|escape }} {{ asi.3|escape }}
                                    </td>
                                    {% if perms.Asistencias.change_asistencia %}
                                        <td><a class="changelink"
                                               href="../Asistencias/editar/{{ periodocurso.id }}/{{ asi|first|escape }}/{{ asi.1|escape }}/{{ asi.2|escape }}/{{ asi.3|escape }}/"
                                               onclick="return abrir_popup('../Asistencias/editar/{{ periodocurso.id }}/{{ asi|first|escape }}/{{ asi.1|escape }}/{{ asi.2|escape }}/{{ asi.3|escape }}/');"></a>
                                        </td>
                                    {% endif %}
                                    {% if perms.Asistencias.delete_asistencia %}
                                        <td>
                                            <a class="deletelink"
                                               href="../Asistencias/delete/{{ periodocurso.id }}/{{ asi|first|escape }}/{{ asi.1|escape }}/{{ asi.2|escape }}/{{ asi.3|escape }}/"
                                               onclick="return abrir_popup('../Asistencias/delete/{{ periodocurso.id }}/{{ asi|first|escape }}/{{ asi.1|escape }}/{{ asi.2|escape }}/{{ asi.3|escape }}/');"></a>
                                        </td>
                                    {% endif %}
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                {% else %}
                    <p>{% trans 'No se encontraron coincidencias' %}</p>
                {% endif %}
            {% endblock %}
            {% block pagination %}
                <p class="paginator">
          <span class="step-links">
              {% if results.has_previous %}
                  <a href="?page={{ results.previous_page_number }}">previa</a>
              {% endif %}
              <span class="this-page">
              Página {{ results.number }} de {{ results.paginator.num_pages }}
          </span>

              {% if results.has_next %}
                  <a href="?page={{ results.next_page_number }}">siguiente</a>
              {% endif %}
          </span>
                    {{ n_asistencias }} Asistencias al Curso
                </p>
            {% endblock %}
        </div>
    </div>
{% endblock %}
